RubyGems Navigation menu

rubocop 0.37.1

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.17.0 - June 15, 2021 (483 KB)
  2. 1.16.1 - June 09, 2021 (482 KB)
  3. 1.16.0 - June 01, 2021 (482 KB)
  4. 1.15.0 - May 17, 2021 (480 KB)
  5. 1.14.0 - May 05, 2021 (478 KB)
  6. 0.37.1 - February 09, 2016 (232 KB)
Show all versions (180 total)

Runtime Dependencies (5):

  • parser < 3.0, >= 2.3.0.4
  • powerpack ~> 0.1
  • rainbow < 3.0, >= 1.99.1
  • ruby-progressbar ~> 1.7
  • unicode-display_width ~> 0.3
  • Development Dependencies (1):

  • bundler ~> 1.3
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    a1dbc993cd8c0f1afb90a913b4ef6fa83400809d2b30079a877f52358e498bcc

    Total downloads 164,249,216

    For this version 61,794

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 1.9.3

    Links: